# Class TableColumnFilterService

#### Implements

- FilterLike

- Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts:8

#####
Index

### Constructors

constructor

### Properties

change

### Accessors

current

### Methods

setFilter

##
Constructors

### constructor

- new TableColumnFilterService(): TableColumnFilterService

  #### Returns TableColumnFilterService

##
Properties

### `Readonly` change

change: BehaviorSubject<Record<string, string>> = ...

Implementation of FilterLike.change

- Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts:9

##
Accessors

### current

- get current(): Record<string, string>

  #### Returns Record<string, string>

  Implementation of FilterLike.current

  - Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts:10

##
Methods

### setFilter

- setFilter(column: string, value: undefined | null | string): void

  #### Parameters

  - column: string
  - value: undefined | null | string

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter.service.ts:14